---
schema_version: "1"
id: 91c74c308dcc6f360ff1d7820c40a9a05d1fdadab43f412308a375dab5d1d8ae
title: Timeouts
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/commerce-api/references/generated-api-specs/timeouts.md
canonical_url: https://developer.salesforce.com/docs/commerce/commerce-api/references/timeouts
source_site: developer.salesforce.com
content_type: documentation
content_hash: cc24d725726f9764eb5d2739172bad0b5c3f7b9359d3b4e7f531b2e40111e866
products:
  - B2C Commerce API
  - Salesforce APIs
---
Timeouts

# Timeouts

[Download API specification](https://developer.salesforce.com/static/commercecloud/commerce-api/timeouts/timeouts-oas-v1-public.yaml)

## API Overview

Use the Timeouts API to manage SCAPI timeouts.

You can specify individual timeout values for specific APIs. Note that you can't set timeouts at the API family level.

### Authentication & Authorization

For resource access, you must use a client ID and client secret from Account Manager to request an access token. The access token is used as a bearer token and added to the Authorization header of your API request.

You must include `sfcc.timeouts.rw` (read-write access) or `sfcc.timeouts` (read-only access) in the client ID used to generate the token. For a full list of permissions, see the [Authorization Scopes Catalog.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/auth-z-scope-catalog.html)

For detailed setup instructions, see the [Authorization for Admin APIs](https://developer.salesforce.com/docs/commerce/commerce-api/guide/authorization-for-admin-apis.html) guide.

### Response Details

#### Timeouts

Admin API requests must respond within 60 seconds. If a response exceeds this threshold, an HTTP 504 status code is returned. For details, see [Timeouts and Limits.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/timeouts-limits.html)

#### Error Handling

Error responses follow the [RFC 7807](https://datatracker.ietf.org/doc/html/rfc7807) problem detail format. To trace errors, include a `correlation-id` header in your request — the response returns it as `x-correlation-id`. For details, see [HTTP Status Codes and Errors.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/error-response-codes.html)

### Use Cases

#### Manage Timeouts

Use the timeouts endpoint to retrieve, set, or delete your configuration for timeouts.

### Usage Notes

1.  Timeout configuration is set per instance type (development, staging, and production), not per site. Updating the configuration for one instance type does not affect the others.
2.  Configure timeouts for an individual API, not an API family.
3.  Wildcards are not allowed.
4.  Max timeout value is 120 seconds.

**Version:** 1.0.7

## Servers

*   `https://{shortCode}.api.commercecloud.salesforce.com/configuration/timeouts/v1`
    *   `shortCode (default shortCode) An eight-character string assigned to a realm for routing purposes. See [Base URL and Request Formation.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html)`

## Security

*   `AmOAuth2` (oauth2) Account Manager OAuth 2.0 bearer token authentication
    *   OAuth flow clientCredentials (tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token)
    *   Scope sfcc.timeouts: Timeouts READONLY scope
    *   Scope sfcc.timeouts.rw: Timeouts scope
    *   OAuth flow authorizationCode (authorizationUrl: https://account.demandware.com/dwsso/oauth2/authorize, tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token, refreshUrl: https://account.demandware.com/dwsso/oauth2/access\_token)

## Operations

### GET Return a set of SCAPI timeout overrides.

`GET /organizations/{organizationId}/timeouts`

Operation ID: `getTimeouts`. Security: AmOAuth2 (sfcc.timeouts, sfcc.timeouts.rw).

Return a set of SCAPI timeout overrides.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Successfully returned SCAPI timeout overrides.
    
    Media type: `application/json`. Schema: `TimeoutConfigurations`.
    
    _Example: TimeoutExample_
    
    ```
    {
      "timeouts": {
        "product/shopper-products": 77,
        "checkout/orders": 88
      }
    }
    ```
    

### PUT Create or replace the full set of SCAPI timeout overrides.

`PUT /organizations/{organizationId}/timeouts`

Operation ID: `putTimeouts`. Security: AmOAuth2 (sfcc.timeouts.rw).

Create or replace the full set of SCAPI timeout overrides.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `TimeoutConfigurations`.

_Example: TimeoutExample_

```
{
  "timeouts": {
    "product/shopper-products": 77,
    "checkout/orders": 88
  }
}
```

#### Responses

*   **200** Successful update of SCAPI Timeout overrides.
    
    Media type: `application/json`. Schema: `TimeoutConfigurations`.
    
    _Example: TimeoutExample_
    
    ```
    {
      "timeouts": {
        "product/shopper-products": 77,
        "checkout/orders": 88
      }
    }
    ```
    
*   **201** Successful creation of SCAPI Timeout overrides.
    
    Media type: `application/json`. Schema: `TimeoutConfigurations`.
    
    _Example: TimeoutExample_
    
    ```
    {
      "timeouts": {
        "product/shopper-products": 77,
        "checkout/orders": 88
      }
    }
    ```
    
*   **400** Invalid SCAPI timeout override values (e.g., incomplete JSON or key not in "api-family/api" format).
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: InvalidTimeoutExample_
    
    ```
    {
      "title": "Bad Request",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "detail": "Submitted content was invalid: API paths can only consist of an API family, followed by a slash, followed by a single API."
    }
    ```
    

### DELETE Delete all SCAPI timeout override values.

`DELETE /organizations/{organizationId}/timeouts`

Operation ID: `deleteTimeouts`. Security: AmOAuth2 (sfcc.timeouts.rw).

Delete all SCAPI timeout override values.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Successfully deleted all SCAPI timeout values.

## Schemas

### OrganizationId

An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).

Type: `string`.

Pattern: ^f\_ecom\_\[a-z\]{4}\_(prd|stg|dev|s\[0-9\]{2}|\[0-9\]{3})$. Example: `f_ecom_zzxy_prd`.

### TimeoutConfigurations

*   `timeouts` (_TimeoutMappings_)

### ErrorResponse

*   `title` (_string_, required) A short, human-readable summary of the problem type. It will not change from occurrence to occurrence of the problem, except for purposes of localization  
    Maximum length: 256. Example: `You do not have enough credit`.
*   `type` (_string_, required) A URI reference \[RFC3986\] that identifies the problem type. This specification encourages that, when dereferenced, it provide human-readable documentation for the problem type (e.g., using HTML \[W3C.REC-html5-20141028\]). When this member is not present, its value is assumed to be "about:blank". It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per \[RFC3986\], Section 5.  
    Maximum length: 2048. Example: `NotEnoughMoney`.
*   `detail` (_string_, required) A human-readable explanation specific to this occurrence of the problem.  
    Example: `Your current balance is 30, but that costs 50`.
*   `instance` (_string_) A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per \[RFC3986\], Section 5.  
    Maximum length: 2048. Example: `/account/12345/msgs/abc`.

### TimeoutMappings

Configuration object for timeout feature

Additional properties: `integer (int32)`.

Map of APIs and their respective timeout values in seconds. Max timeout value is 120.